Subject: Re: BBB Business Profile
From: "LLPS Customer Service" <[email-masked]>
To: "Devan Roop" <[email-masked]>
Date: Thu, 13 Jun 2013 10:59:42 -0400

Hello Devan.
We do have all of our company information on file with West Michigan BBB so we will not be sending anything else over to your office at this time.  Much appreciated!
Thank you,
Michael B
LLPS

From: Devan Roop 
Sent: Wednesday, June 12, 2013 4:51 PM
To: LLPS Customer Service 
Subject: Re: BBB Business Profile

Michael, 

Thank you for the updated information. I have linked the reports. Will your office be providing a response to the letter we sent?

I look forward to hearing from you.

Sincerely,
Devan Roop

Ms. Devan Roop  Operations Team Leader
  
Tel: 804-648-0016
Fax: 888-244-2312
Email: [email-masked]
www.bbb.org | Start With Trust 

BBB serving Central Virginia 
720 Moorefield Park Dr., Suite 300 
Richmond, VA, 23236 

On Tue, Jun 11, 2013 at 1:09 PM, LLPS Customer Service <[email-masked]> wrote:

  Hello Mr. Roop.
  I am in receipt of a letter you sent regarding the need to update an incomplete profile in your system.  Our parent company is the Labor Law Poster Service and we are registered with the West Michigan BBB.   Corporate Records Service is a separate company but we use the same corporate number with the State of Michigan.  Please forward any complaints to the West Michigan BBB so that everything can be linked together.  Let me know if you have any questions or concerns regarding this matter.
  Thank you,
  Michael B
  Corporate Records Service